function onBegin()
    if not getFlag("CS_cutscene_4") then
        setFlag("CS_cutscene_4", true)
        playMusic("event:/new_content/music/lvl10/cassette_rooms")
        player.ForceCameraUpdate = true
        waitUntilOnGround()
        disableMovement()
        walk(40, false, 1.3, false)
        say("CS_cassette")
        wait(0.2)
        walk(-8, false, 1.3, false)
        wait(0.2)
        walk(5, false, 1, false)
        wait(0.3)
        say("CS_cassetteA")
        wait(0.3)
        engine.Scene:NextColorGrade("burntout")
        walk(-5, false, 1, false)
        wait(0.3)
        say("CS_cassetteB")
        wait(0.3)
        walk(24, false, 1.4, false)
        say("CS_cassetteC")

        enableMovement()
    end
end

function onEnd(level, wasSkipped)
    player.ForceCameraUpdate = false
    if wasSkipped then
        enableMovement()
        engine.Scene:SnapColorGrade("burntout")
        setFlag("CS_cutscene_4", true)
    end
end